package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 促销还款明细(RepayTradeCourse)实体类
 *
 * @author makejava
 * @since 2022-06-17 18:04:26
 */
@Table(name = "repay_trade_course")
public class RepayTradeCourse implements Serializable {
    private static final long serialVersionUID = -29446120664740406L;
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 疗程账户ID
     */
    @Column(name = "course_id")
    private Long courseId;
    /**
     * 还款明细ID
     */
    @Column(name = "repay_trade_id")
    private Long repayTradeId;
    /**
     * 添加金额
     */
    @Column(name = "money")
    private BigDecimal money;
    /**
     * 可用金额
     */
    @Column(name = "coum_money")
    private BigDecimal coumMoney;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getRepayTradeId() {
        return repayTradeId;
    }

    public void setRepayTradeId(Long repayTradeId) {
        this.repayTradeId = repayTradeId;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public BigDecimal getCoumMoney() {
        return coumMoney;
    }

    public void setCoumMoney(BigDecimal coumMoney) {
        this.coumMoney = coumMoney;
    }

}

